Skip to content

Instantly share code, notes, and snippets.

Igor Zubkov biow0lf

Block or report user

Report or block biow0lf

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
View prometheus2.log
rake aborted!
Riddle::CommandFailedError: Sphinx command failed to execute
/home/prometheusapp/www/shared/bundle/ruby/2.4.0/gems/riddle-2.1.0/lib/riddle/execute_command.rb:23:in `call'
/home/prometheusapp/www/shared/bundle/ruby/2.4.0/gems/riddle-2.1.0/lib/riddle/execute_command.rb:5:in `call'
/home/prometheusapp/www/shared/bundle/ruby/2.4.0/gems/riddle-2.1.0/lib/riddle/controller.rb:29:in `index'
/home/prometheusapp/www/shared/bundle/ruby/2.4.0/gems/thinking-sphinx-3.3.0/lib/thinking_sphinx/controller.rb:8:in `block (2 levels) in index'
/home/prometheusapp/www/shared/bundle/ruby/2.4.0/gems/thinking-sphinx-3.3.0/lib/thinking_sphinx/guard/files.rb:14:in `call'
/home/prometheusapp/www/shared/bundle/ruby/2.4.0/gems/thinking-sphinx-3.3.0/lib/thinking_sphinx/guard/files.rb:3:in `call'
/home/prometheusapp/www/shared/bundle/ruby/2.4.0/gems/thinking-sphinx-3.3.0/lib/thinking_sphinx/controller.rb:7:in `block in index'
/home/prometheusapp/www/shared/bundle/ruby/2.4.0/gems/thinking-sphinx-3.3.0/lib/thinking_sphinx/indexi
View rpm4.log
==> make install
/usr/bin/install -c -m 644 ./rpmio/argv.h include/rpm/argv.h
/usr/bin/install -c -m 644 ./rpmio/rpmio.h include/rpm/rpmio.h
/usr/bin/install -c -m 644 ./rpmio/rpmurl.h include/rpm/rpmurl.h
/usr/bin/install -c -m 644 ./rpmio/rpmmacro.h include/rpm/rpmmacro.h
/usr/bin/install -c -m 644 ./rpmio/rpmlog.h include/rpm/rpmlog.h
/usr/bin/install -c -m 644 ./rpmio/rpmpgp.h include/rpm/rpmpgp.h
/usr/bin/install -c -m 644 ./rpmio/rpmsq.h include/rpm/rpmsq.h
/usr/bin/install -c -m 644 ./rpmio/rpmstring.h include/rpm/rpmstring.h
/usr/bin/install -c -m 644 ./rpmio/rpmstrpool.h include/rpm/rpmstrpool.h
View rpm
rpmquery --qf '[%{BASENAMES}\t%{FILESIZES}\n]'
rpmquery --qf '[%{PATCH}\n]'
и join по первому полю.
@biow0lf
biow0lf / english.stop
Created Jun 2, 2016
$ cat /usr/local/Cellar/postgresql/9.5.3/share/postgresql/tsearch_data/english.stop
View english.stop
i
me
my
myself
we
our
ours
ourselves
you
your
View 1.rb
Rails.application.configure do
config.generators do |g|
g.orm :active_record, migration: true
g.test_framework :rspec, fixtures: false
g.helper false
g.decorator false
g.controller assets: false
end
end
View chewy_benchmark.rb
require 'benchmark'
PATH_INFO = '/assets/'
iterations = 100_000_000
Benchmark.bm do |bm|
bm.report do
iterations.times do
PATH_INFO =~ /^\/assets\//
@biow0lf
biow0lf / selenium.xml
Created Jan 28, 2012
Selenium manifest file for Solaris 10 (/var/svc/manifest/local/selenium.xml)
View selenium.xml
<?xml version='1.0'?>
<!DOCTYPE service_bundle SYSTEM '/usr/share/lib/xml/dtd/service_bundle.dtd.1'>
<service_bundle type="manifest" name="Selenium">
<service name="application/selenium" type="service" version="1">
<!-- Initial state of the service is disabled -->
<create_default_instance enabled="false" />
<!-- Only one instance of Selenium server should ever run per server -->
@biow0lf
biow0lf / xvfb.xml
Created Jan 28, 2012
Xvfb manifest file for Solaris 10 (/var/svc/manifest/local/xvfb.xml)
View xvfb.xml
<?xml version="1.0"?>
<!DOCTYPE service_bundle SYSTEM "/usr/share/lib/xml/dtd/service_bundle.dtd.1">
<service_bundle type='manifest' name='xvfb'>
<service
name='system/xvfb'
type='service'
version='1'>
<create_default_instance enabled='false' />
<single_instance />
@biow0lf
biow0lf / gist:1486342
Created Dec 16, 2011
liquid + i18n from rails
View gist:1486342
# lib/liquid_i18n_rails.rb
module LiquidI18nRails
def t(string)
I18n.t(string.to_sym)
end
end
# config/initializers/liquid.rb
require 'liquid_i18n_rails'
Liquid::Template.register_filter LiquidI18nRails
@biow0lf
biow0lf / gist:1154387
Created Aug 18, 2011
bundler outdated fail
View gist:1154387
$ bundle outdated
Fetching dependency information from the API at http://rubygems.org/......
Fetching dependency information from the API at http://rubygems.org/.
Outdated gems included in the bundle:
Unfortunately, a fatal error has occurred. Please report this error to the Bundler issue tracker at https://github.com/carlhuda/bundler/issues so that we can fix it. Thanks!
/Users/biow0lf/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.7/lib/bundler/cli.rb:325:in `block in outdated': undefined method `version' for nil:NilClass (NoMethodError)
from /Users/biow0lf/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.7/lib/bundler/cli.rb:306:in `outdated'
from /Users/biow0lf/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.7/lib/bundler/vendor/thor/task.rb:22:in `run'
from /Users/biow0lf/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.7/lib/bundler/vendor/thor/invocation.rb:118:in `invoke_task'
from /Users/biow0lf/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.7/lib/bundler/vendor/thor.rb:263:in `dispatch'
You can’t perform that action at this time.